#!/usr/bin/env python

from MoinShare import getRegions, getFragments

s = """
Test some shared content...

{{{#!MoinShare fragment=101
Hello!

This is ''testing'' shared content.
}}}

{{{#!MoinShare format=html fragment=100
<table>
<tr>
<td>Test some <strong>HTML</strong> content.</td>
<td>This is a table.</td>
</tr>
</table>
}}}

Some trailing content.
"""

regions = getRegions(s)
fragments = getFragments(s)
expected = 2

print regions
print
print len(regions) == expected, ": length is", len(regions), "==", expected
print
print fragments
print
print len(fragments) == expected, ": length is", len(fragments), "==", expected

# vim: tabstop=4 expandtab shiftwidth=4
